%define oname	keepassx

Summary:	Cross Platform Password Manager
Name:		keepassx2
Version:	2.0.3
Release:	%mkrel 2
License:	GPLv2
Group:		File tools
URL:		http://www.keepassx.org/
Source0:        https://github.com/keepassx/keepassx/archive/%{version}/%{oname}-%{version}.tar.xz
#---------------------------------
BuildRequires: cmake
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xtst-devel
#---------------------------------
Requires: %{_lib}qtcore4
Conflicts:	%{oname}

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).


%prep
%setup -q -n %{oname}-%{version}

%build
%cmake_qt4 \
	-DWITH_CXX11:BOOL=TRUE \
	-DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
	-DWITH_TESTS=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-KDE-Utilities-Desktop;X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%files
%{_bindir}/%{oname}
%{_libdir}/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/mime/packages/%{oname}.xml
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_datadir}/mime/packages/%{oname}.xml



%changelog
* Mon Sep 11 2017 threepio <threepio> 2.0.3-2uplos2017
- rebuild for uplos

* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 2.0.3-2pclos2017
- rebuild for new libgcrypt

* Tue Jan 10 2017 daniel <meisssw01 at gmail.com> 2.0.3-1pclos2017
- update

* Wed Dec 16 2015 bb <bb> 2.0-1pclos2015
- import again
